Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • 🚧 [Experimental] List Trino clusters
        • 🚧 [Experimental] Get Trino cluster
        • 🚧 [Experimental] Create Trino cluster
        • 🚧 [Experimental] Update Trino cluster
        • 🚧 [Experimental] Delete Trino cluster
        • 🚧 [Experimental] Start Trino cluster
        • 🚧 [Experimental] Stop Trino cluster
        • 🚧 [Experimental] Add REST catalog to Trino cluster
        • 🚧 [Experimental] Delete REST catalog from Trino cluster
        • 🚧 [Experimental] List Trino resource presets
        • 🚧 [Experimental] Get Trino resource preset
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • TrinoResourcePreset
  1. DataLens Public API
  2. DataLens API
  3. TrinoClusters
  4. 🚧 [Experimental] List Trino resource presets
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • TrinoResourcePreset

🚧 [Experimental] List Trino resource presets

Returns a list of resource presets available for Trino clusters in the specified cloud environment.

RequestRequest

POST

https://api.datalens.tech/rpc/listTrinoResourcePresets

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "cloudEnvironmentId": "example",
  "pageSize": 0,
  "pageToken": "example"
}

Name

Description

cloudEnvironmentId

Type: string

ID of the cloud environment to list resource presets for.

Min length: 1

Max length: 50

Example: example

pageSize

Type: integer

Maximum number of resource presets to return.

Min value: 0

Max value: 1000

pageToken

Type: string

Token for the next page of resource presets.

Max length: 100

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "resourcePresets": [
    {
      "id": "example",
      "cores": "example",
      "memory": "example"
    }
  ],
  "nextPageToken": "example"
}

Name

Description

nextPageToken

Type: string

Token for the next page of resource presets.

Example: example

resourcePresets

Type: TrinoResourcePreset[]

Trino resource presets available in the cloud environment.

Example
[
  {
    "id": "example",
    "cores": "example",
    "memory": "example"
  }
]

TrinoResourcePresetTrinoResourcePreset

Name

Description

cores

Type: string

Number of CPU cores for an instance created with the preset.

Example: example

id

Type: string

ID of the resource preset.

Min length: 1

Example: example

memory

Type: string

RAM volume for an instance created with the preset, in bytes.

Example: example

Example
{
  "id": "example",
  "cores": "example",
  "memory": "example"
}

Was the article helpful?

Previous
🚧 [Experimental] Delete REST catalog from Trino cluster
Next
🚧 [Experimental] Get Trino resource preset
© 2026 Direct Cursus Technology L.L.C.